spring:
    profiles:
        active: locp
    cache:
        type: redis
    redis:
        lettuce:
            pool:
                max-active: 10
                max-idle: 10
                min-idle: 2
        host: localhost
        port: 6379
        password: 

logging:
    config: classpath:log/logback-locd.xml

domain:
    admin: https://lpadmin.style24.com
    scm: https://lpscm.style24.com

upload:
    goods:
        target.path: /WIDE/workspace/files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //image.istyle24.com/Upload/ProductImage

# Schedule
cron:
    #상품
    goods:
        benefit.create: 2 22 2 29 2 ?                 #상품 혜택 생성 (1시간 1회)
        benefit.price.create: 2 22 2 29 2 ?            #상품 즉시할인가 생성 (1시간 1회)
        ep:
            naver:
                all.goods.create: 2 22 2 29 2 ?             #네이버 전체EP 생성 (1일 1회)
                summary.goods.create: 2 22 2 29 2 ?  #네이버 요약EP 생성 (1시간 1회)
                sell.create: 2 22 2 29 2 ?                  #네이버 판매지수EP 생성 (1일 1회)
            daum:
                all.goods.create: 2 22 2 29 2 ?             #다음 전체EP 생성 (1일 1회)
                summary.goods.create: 2 22 2 29 2 ?  #다음 요약EP 생성 (1시간 1회)
                review.create: 2 22 2 29 2 ?                #다음 상품평EP 생성 (1일 1회)
        reserve:
            titlename.apply: 2 22 2 29 2 ?           #상품 예약타이틀명(=세일링문구) 적용 (1시간 1회)
            price.apply: 2 22 2 29 2 ?                #상품 예약가격 적용 (1시간 1회)
        #infants.safe: 2 22 2 29 2 ?
        relgoods.scoring: 2 22 2 29 2 ?             #연관상품 스코어링 (1시간 1회)
        keyword.create: 2 22 2 29 2 ?               #상품 검색어 생성 (1일 1회)
        summary.create: 2 22 2 29 2 ?              #상품 요약정보 생성 (1일 1회)
        social.price.apply : 2 22 2 29 2 ?         #소셜상품의 가격 적용 (1시간 1회)
        wms:
            incomelot.receive: 2 22 2 29 2 ?       #WMS 입고상품 수신 (1일 1회)
            stock.receive: 2 22 2 29 2 ?           #WMS 상품재고 수신 (1일 1회)
            measurement.receive: 2 22 2 29 2 ?     #WMS 실측사이즈 수신 (1일 1회)
            brandprovider.send: 2 22 2 29 2 ?       #WMS 업체/브랜드 송신 (1일 1회)
            goods.send: 2 22 2 29 2 ?              #WMS 상품정보 송신 (1일 1회)
            productsku.receive: 2 22 2 29 2 ?      #WMS 입고상품 수신-option
        shop.stock.receive: 2 22 2 29 2 ?           #ERP 매장재고 수신 (1시간 1회)
        search:
            all.create: 2 22 2 29 2 ?               #검색전체색인 생성 (1일 1회)
            section.create: 2 22 2 29 2 ?   #검색부분색인 생성 (1일 1회)
        reinbound.notify:  2 22 2 29 2 ?          #재입고알림톡 발송 (사용안함)
        vwstock.create: 2 22 2 29 2 ?            #VW_STOCK 생성 (1시간 1회)

    # 회원(고객)
    #customer:
        #dormant:
            #create: 0 0 2 * * *                #휴면예정회원 생성 (1일 1회)
            #transform: 0 10 2 * * *            #휴면회원 처리 (1일 1회) 
        #secede.transform: 0 20 2 * * *         #탈퇴처리 (1일 1회)
        #privacy.info.notify: 0 30 2 * * *      #개인정보이용내역안내(가입일로부터 1년 시점에 발송) (1일 1회)
        #marketing.info.notify: 0 40 2 * * *    #마케팅정보수신동의내역안내(마케팅 정보 수신자에 한해 발송. 가입일로부터 2년 시점에 발송) (1일 1회)
        #grade.change: 0 50 2 * * *             #회원등급변경(매월1일) (1월 1회)
        #netpathy.mail.sync: 0 0 3 * * *        #넷퍼시메일솔루션에 회원정보 연동(1일 1회)
        #auto.buy.confirm: 0 5 3 * * *          #자동구매확정(예정포인트 지급) (1일 1회)
        #birth.coupon.notify: 0 10 3 1 * *      #생일쿠폰 다운로드 안내(당월 생일인 회원을 대상으로 해당 월 1일에 발송) (1일 1회)
        #comback.coupon.notify: 0 20 5 5 * *    #복귀할인쿠폰발급안내(매월 5일)
        #point.expire: 0 40 3 * * *             #포인트 소멸 처리 (1일 1회)
        #giftcard.expire : 0 55 3 * * *         #상품권 소멸 처리 (1일 1회)
        #review.register.notify: 0 10 4 * * *   #상품평등록안내 발송(일배치) (1일 1회)
        #giftcard.expect.notify : 0 0 4 * * *   #상품권 소멸예정 알림톡 (1일 1회)
        #point.expect.notify : 0 50 3 * * *     #포인트 소멸예정 알림톡 (1읿 1회)
        #coupon.expect.notify : 0 5 4 * * *     #쿠폰 소멸예정 알림톡 (1일 1회)
    customer:
        dormant:
            create: 2 22 2 29 2 ?               #휴면예정회원 생성 (1일 1회)
            transform: 2 22 2 29 2 ?            #휴면회원 처리 (1일 1회) 
        secede.transform: 2 22 2 29 2 ?         #탈퇴처리 (1일 1회)
        privacy.info.notify: 2 22 2 29 2 ?      #개인정보이용내역안내(가입일로부터 1년 시점에 발송) (1일 1회)
        marketing.info.notify: 2 22 2 29 2 ?    #마케팅정보수신동의내역안내(마케팅 정보 수신자에 한해 발송. 가입일로부터 2년 시점에 발송) (1일 1회)
        grade.change: 2 22 2 29 2 ?             #회원등급변경(매월1일) (1월 1회)
        netpathy.mail.sync: 2 22 2 29 2 ?       #넷퍼시메일솔루션에 회원정보 연동(1일 1회)
        auto.buy.confirm: 2 22 2 29 2 ?         #자동구매확정(예정포인트 지급) (1일 1회)
        birth.coupon.notify: 2 22 2 29 2 ?      #생일쿠폰 다운로드 안내(당월 생일인 회원을 대상으로 해당 월 1일에 발송) (1일 1회)
        comback.coupon.notify: 2 22 2 29 2 ?    #복귀할인쿠폰발급안내(매월 5일)
        point.expire: 2 22 2 29 2 ?             #포인트 소멸 처리 (1일 1회)
        giftcard.expire : 2 22 2 29 2 ?         #상품권 소멸 처리 (1일 1회)
        review.register.notify: 2 22 2 29 2 ?   #상품평등록안내 발송(일배치) (1일 1회)
        giftcard.expect.notify : 2 22 2 29 2 ?  #상품권 소멸예정 알림톡 (1일 1회)
        point.expect.notify : 2 22 2 29 2 ?     #포인트 소멸예정 알림톡 (1읿 1회)
        coupon.expect.notify : 2 22 2 29 2 ?    #쿠폰 소멸예정 알림톡 (1일 1회)

    # 전시
    display:
        category.refresh: 2 22 2 29 2 ?         #카테고리 갱신 (1시간 1회)
        category.stock.create: 2 22 2 29 2 ?  #카테고리별 재고 생성 (1시간 1회)
        #category.filter.create: 0 45 * * * *   #카테고리별 검색필터 생성 (1시간 1회)
        recently.reg.goods.create: 2 22 2 29 2 ?  #최근등록된 상품 100개 생성
        main.contents.goods.create: 2 22 2 29 2 ?  #몰 메인 컨텐츠 상품생성 (1시간 1회)

    # 주문
    order:
        cart.deadline.expire: 2 22 2 29 2 ?      #만료기간 지난 장바구니 삭제 (1일 1회)
        deposit.waiting.notify: 2 22 2 29 2 ?    #무통장(가상계좌) 입금대기 알림 (1일 1회)
        deposit.deadline.expire: 2 22 2 29 2 ?   #무통장입금 입금기한 만료건 주문 취소 (1일 1회)
        gift.deadline.expire: 2 22 2 29 2 ?      #선물하기 배송지 등록기한 만료건 주문 취소 (1일 1회)
        #pg.kcp.settle.receive: 2 22 2 29 2 ?    #KCP PG 정산 데이터 수신 (사용안함)
        cart.unpurchase.push: 2 22 2 29 2 ?      #장바구니 미구매 확인(삭제 10일 전) 푸시 송부 (1일 1회)
        cart.benefit.push: 2 22 2 29 2 ?          #장바구니 혜택 추가 푸시 (1일 1회)
        wish.benefit.push: 2 22 2 29 2 ?         #위시리스트 혜택 추가 푸시 (1일 1회)

    #배송
    delivery:
        shot.deliveryzone.refresh: 2 22 2 29 2 ?        #총알배송 권역정보 갱신(매일 11시) (1일 1회)
        loc.assign: 2 22 2 29 2 ?            #출고처 지정 및 배송(출고) 지시 (월-금 10분)
        wms:
            outgoing.exception.receive: 2 22 2 29 2 ? #WMS 출고예외 수신 (월-금 10분)
            outgoing.result.receive: 2 22 2 29 2 ?    #WMS 출고결과 수신 (월-금 10분)
            invoice.receive: 2 22 2 29 2 ?            #WMS 운송장번호 수신(월-금 10분)
        sweettracker.invoice.retrieve: 2 22 2 29 2 ?         #스윗트래커 송장상태 조회 (10분)
        auto.soldout.cancel: 2 22 2 29 2 ?            #자동품절취소 (월-금 10분)

    #회수
    withdraw:
        wms:
            request: 2 22 2 29 2 ?          #WMS 회수요청 (1시간 1회)
            ingoing:
                exception.receive: 2 22 2 29 2 ?        #WMS 회수입고예외 수신 (1시간 1회)
                exception.result.receive: 2 22 2 29 2 ? #WMS 회수입고예외 결과 수신 (1시간 1회)
                result.receive: 2 22 2 29 2 ?           #WMS 회수입고결과 수신 (1시간 1회)
        cj:
            invoice.receive: 2 22 2 29 2 ?                #CJ 회수송장번호 수신 (1시간 1회)
            status.receive: 2 22 2 29 2 ?                 #CJ 회수상태 수신 (1시간 1회)

    #네이버페이
    naverPay.order.batch: 2 22 2 29 2 ?                 #네이버페이 배치 실행 (20분배치)
    naverPay.order.decision: 2 22 2 29 2 ?              #네이버페이 결제형 구매확정
    naverpay.recv.order: 2 22 2 29 2 ?                   #네이버페이 주문형 결제 완료 주문 정보 수신
    naverpay.recv.cancel.complete: 2 22 2 29 2 ?         #네이버페이 주문형 결제 취소 완료 주문 정보 수신
    naverpay.recv.cancel.req: 2 22 2 29 2 ?              #네이버페이 주문형 취소 접수 주문 정보 수신
    naverpay.recv.order.decide: 2 22 2 29 2 ?            #네이버페이 주문형 구매 확정 주문 정보 수신
    naverpay.recv.return.req: 2 22 2 29 2 ?              #네이버페이 주문형 반품 접수 주문 정보 수신
    naverpay.recv.exchange.req: 2 22 2 29 2 ?            #네이버페이 주문형 교환 접수 주문 정보 수신
    naverpay.recv.wd.invoice.no: 2 22 2 29 2 ?           #네이버페이 주문형 회수송장번호 수신
    naverpay.send.ready.delivery: 2 22 2 29 2 ?          #네이버페이 주문형 배송준비중 주문 정보 송신
    naverpay.send.delivery.delay: 2 22 2 29 2 ?          #네이버페이 주문형 발송 지연 송신

    #통계
    statistics:
        aflink.inflow.create: 2 22 2 29 2 ?            #유입통계 (1시간 1회)
        aflink.inflow.yesterday.create: 2 22 2 29 2 ?  #어제일자유입통계
        order.daily.create: 2 22 2 29 2 ?              #주문일자별통계
        order.datetime.create: 2 22 2 29 2 ?           #주문시간대별통계
        pay.create: 2 22 2 29 2 ?                      #결제수단통계
        pay.sub.create: 2 22 2 29 2 ?                  #부결제수단통계
        sales.sms.send1: 2 22 2 29 2 ?                 #매출문자발송 (평일은 저녁 8시30분, 11시30분)
        sales.sms.send2: 2 22 2 29 2 ?                 #매출문자발송 (주말(토/일)은 오전 10시, 오후 2시, 6시, 저녁 10시)
        sales.upload: 2 22 2 29 2 ?                    #매출반영
        customer.create: 2 22 2 29 2 ?                   #회원통계
        customer.order.create: 2 22 2 29 2 ?            #회원주문통계

    #모니터링
    monitoring:
        dayJob: 2 22 2 29 2 ?   #일별 모니터링
        hourJob: 2 22 2 29 2 ?  #시간별 모니터링

    # 샵링커
    shoplinker:
        stock.sendAll: 2 22 2 29 2 ?       #재고 전체전송(특별한날만 사용)
        stock.send10: 2 22 2 29 2 ?        #재고 10시 (1일 1회)
        stock.send15: 2 22 2 29 2 ?        #재고 15시 (1일 1회)
        order.receive: 2 22 2 29 2 ?       #주문 (1시간 1회)
        invoice.send: 2 22 2 29 2 ?        #송장 (1시간 1회)

# USAFE 보증보험 정보
usafe.guarantee:
    mall.id: istyle2400
    send.url: https://gateway.usafe.co.kr/esafe/guartrn.asp

# PG
pg:
    kcp:
        log.dir: /WIDE/workspace/files/data/style24/logs/front
        gw:
            url: paygw.kcp.co.kr
            port: 8090
        user.type: PGNW
        js.url: https://pay.kcp.co.kr/plugin/payplus_web.jsp
        server: true
        site:
            cd: U3476
            key: 4aVa--.Xz8Fc78nwYPsrmmY__
            name: ISTYLE
        log.level: 3
        module.type: 01
        tx.mode: 0
        receipt.url : https://admin8.kcp.co.kr/assist/bill.BillActionNew.do

# 네이버페이 API
naverPay:
    apiUrl: https://apis.naver.com/
    payUrl:
        web: pay.naver.com
        mob: m.pay.naver.com
    shop.id: istyle2424
    button.key: 5DF64042-EF37-45F1-878E-67C7098135E6
    button.pc.js.url: https://pay.naver.com/customer/js/naverPayButton.js
    button.mobile.js.url: https://pay.naver.com/customer/js/mobile/naverPayButton.js
    common.certification.key: s_3799db3bf4af
    certification.key: 2BC5E173-2840-4B48-BC7D-FF770005DD76
    order.api.url: https://api.pay.naver.com/o/customer/api/order/v20/register
    order.pc.url: https://order.pay.naver.com/customer/buy/
    order.mobile.url: https://m.pay.naver.com/o/customer/buy/
    access.license: 01000100005add7973062fb26d6ab0270bbb0e426475ca6de319ce56126da2bed70b8fdc9a
    secret.key: AQABAADLd4Aq3e/eUoHUVnplCOtJul09xEgICn50rnTw6joQNg==
    port.address: http://ec.api.naver.com/Checkout/MallService5
    service.name: MallService5
    version: 5.0

#카카오 API
kakao:
    cid : CT22482324
    appId: 442702
    appName: 아이스타일24
    companyName: 예스이십사
    nativeAppKey: 5d97db2ee36fa0e121d962b2531ae0c1
    restApiKey: 46d601394bd887cbada3cf00fdddef54
    javascriptKey: b3c9ee69171042c3637e8d714a4c8a75
    adminKey: 7cc33b2ef96d785c4caf3376f9dc9254
    addressApiRequestUrl : https://dapi.kakao.com/v2/local/search/address.json?page=1&query=
    login.callbackUrl: /signin/snsLoginCallback?snsType=KK
    tokenUrl: https://kauth.kakao.com/oauth/token
    userInfoUrl: https://kapi.kakao.com/v2/user/me
    authorizeUrl: https://kauth.kakao.com/oauth/authorize
    unlinkUrl : https://kapi.kakao.com/v1/user/unlink
    paymentReadyUrl : https://kapi.kakao.com/v1/payment/ready
    paymentRedirectUrl : /order/kakao/payment/request
    approvePaymentUrl : https://kapi.kakao.com/v1/payment/approve
    paymentOrderUrl : https://kapi.kakao.com/v1/payment/order
    cancelPaymentUrl : https://kapi.kakao.com/v1/payment/cancel

# 스윗트래커
sweet:
    api:
        tier: istyle24
        key: yOzQz11HDMGl4fYSbr9mHw
        url: http://trace-api.sweettracker.net/add_invoice
        domain:
            front: https://www.style24.com

# EP
ep:
    goods:
        img.url: https://image.istyle24.com/Upload/ProductImage/
        dtl.url: https://www.style24.com/goods/detail/form?goodsCd=
    file:
        path: /WIDE/workspace/files/data/style24/ep
        url: http://lpimage.style24.com/ep/


# 샵링커 API
shoplinker:
    customer_id: a0021915
    shoplinker_id: yes2424
    xml:
        path: /WIDE/workspace/files/data/style24/shoplinker
        view: //lpimage.style24.com/shoplinker
    url:
        stock : /Product/attribute_modify.php?iteminfo_url=
        order : /Order/orderlist.php?iteminfo_url=
        invoice : /Order/delivery.php?iteminfo_url=
